      PROGRAM MULT
************************************************************************
* Program to calculate and display a list of products of two numbers.  *
* Variables used are:                                                  *
*     M, N         : the two numbers being multiplied                  *
*     PROD         : their product                                     *
*     LASTM, LASTN : the last values of M and N                        *
*                                                                      *
* Input:  LASTM and LASTN, the largest numbers to be multiplied        *
* Output: List of products M * N                                       *
************************************************************************

      INTEGER M, N, LASTM, LASTN, PROD

      PRINT *, 'ENTER THE LAST VALUES OF THE TWO NUMBERS'
      READ *, LASTM, LASTN
      PRINT *, '  M  N  M * N'
      PRINT *, '============='
      DO 20 M = 1, LASTM
          DO 10 N = 1, LASTN
              PROD = M * N
              PRINT *, M, N, PROD
10        CONTINUE
20    CONTINUE
      END

